/* wydawca - automatic release submission daemon
   Copyright (C) 2007-2019 Sergey Poznyakoff

   Wydawca is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   Wydawca is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with wydawca. If not, see <http://www.gnu.org/licenses/>. */

#include "wydawca.h"

void
notify(struct notification *n, struct wy_triplet *t,
       enum wy_event e)
{
	for (; n; n = n->next)
		if (n->ev == e) {
			if (n->modname)
				module_notify(n->modname, n->modcfg, e, t);
		}
}

void
notify_finish()
{
	notify(default_notification, NULL, wy_ev_finish);
}

void
notify_flush(struct spool *sp)
{
	struct notification *n;
	
	for (n = sp->notification; n; n = n->next)
		if (n->modcfg)
			module_flush(n->modname, n->modcfg);
}
